<?php if(!isset($_ANONNEWS)) { die(); }  /* Protect from direct requests */ ?>
<h2>Moderation is not censorship.</h2>
<p>A question / criticism that comes up rather often is that AnonNews would be exercising censorship on submissions. This page will explain why this is not the case, and what the difference between
moderation and censorship is.</p>

<h4>What is censorship?</h4>
<p>Censorship is, generally speaking, attempting to filter out morally objectionable content - this can be news, images, music or anything else, and what classifies as 'morally objectionable' will differ
for everyone, based on their personal moral standpoints and opinions. The key here is that censorship revolves around specific ideas or information of which the spreading is actively hindered, based on
personal ideals.</p>

<h4>How is this different from moderation?</h4>
<p>Moderation, in the case of AnonNews, is the removal of content that is not relevant to 'Anonymous', is intended to cause harm to the machines of visitors, or attempts to exploit visitors. This means
that links to malware, scams, or news that is not about Anonymous (as well as things that are not put in the right category) will be removed. This is not based on any personal ideals, and the actual
message or opinion in said content does not play a role. Potentially 'offensive' content is <strong>not</strong> moderated, as even controversial ideas should have a voice.</p>

<h4>How does moderation on AnonNews work?</h4>
<p>There is a group of moderators, and anyone can apply to become a moderator. As a general rule of thumb, anyone who applies will become a moderator, and no 'screening' is done. The platform is made to
allow rollbacks in case of abuse, so there is very little harm that can be done by a moderator. If a moderator exhibits unsuitable behaviour (such as removing content based on personal morals) he will lose
his moderator status, to ensure that AnonNews only has mods that are capable of objective analysis.</p>
<p>Moderators are encouraged to <strong>not</strong> read any submissions before approving or rejecting them. The general rule of thumb is to use the browsers search-in-page feature to determine whether
'Anonymous' is mentioned somewhere in the article, and to quickly skim the text to get an idea of whether it's actually news, or something else (like an opinion blogpost). In the case of press releases,
moderators are encouraged to only look at the grammar, spelling, and formatting - and to check whether any part of the press release claims to speak for all of Anonymous. That's it.</p>
<p>TL;DR moderation is generally speaking done without even paying attention to what the article is about.</p>

<h4>About the comments sections and the forums</h4>
<p>"Regular" moderators do not have access to moderate comments or forum posts. This is because there is not really a need for a large moderation team - the only rules are that you cannot organize illegal 
Anonymous Operations such as DDoS operations (this is in order to protect the AnonNews infrastructure), and that you cannot post malware / scams, or posts that are intended to make the pages unreasonably 
long, such as posts that contain entire books (yes, it has been done.)</p>
